diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py
index a6f6f41..083b552 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_delete.py
@@ -42,7 +42,7 @@ class SequenceDeleteTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add sequence.")
-        self.sequence_name = "test_sequence_delete_%s" % str(uuid.uuid4())[1:6]
+        self.sequence_name = "test_sequence_delete_%s" % str(uuid.uuid4()).replace("-", "")
         self.sequence_id = sequence_utils.create_sequences(
             self.server, self.db_name, self.schema_name, self.sequence_name)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py
index 56afcc2..0a7a421 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_get.py
@@ -42,7 +42,7 @@ class SequenceGetTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add sequence.")
-        self.sequence_name = "test_sequence_delete_%s" % str(uuid.uuid4())[1:6]
+        self.sequence_name = "test_sequence_delete_%s" % str(uuid.uuid4()).replace("-", "")
         self.sequence_id = sequence_utils.create_sequences(
             self.server, self.db_name, self.schema_name, self.sequence_name)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_put.py
index e7c3344..143d38c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/tests/test_sequence_put.py
@@ -43,7 +43,7 @@ class SequencePutTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add sequence.")
-        self.sequence_name = "test_sequence_delete_%s" % str(uuid.uuid4())[1:6]
+        self.sequence_name = "test_sequence_delete_%s" % str(uuid.uuid4()).replace("-", "")
         self.sequence_id = sequence_utils.create_sequences(
             self.server, self.db_name, self.schema_name, self.sequence_name)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_add.py
index 53c3fca..0bad264 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_add.py
@@ -53,7 +53,7 @@ class SynonymAddTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to add the synonym.")
         self.sequence_name = "test_sequence_synonym_%s" % \
-                             str(uuid.uuid4())[1:6]
+                             str(uuid.uuid4()).replace("-", "")
         self.sequence_id = sequence_utils.create_sequences(
             self.server, self.db_name, self.schema_name, self.sequence_name)
 
@@ -68,7 +68,7 @@ class SynonymAddTestCase(BaseTestGenerator):
             "synobjname": self.sequence_name,
             "synobjschema": self.schema_name,
             "targettype": "Sequence",
-            "name": "synonym_add_%s" % (str(uuid.uuid4())[1:6])
+            "name": "synonym_add_%s" % (str(uuid.uuid4()).replace("-", ""))
         }
 
         response = self.tester.post(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete.py
index cb6d69b..a5eb74e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_delete.py
@@ -53,10 +53,10 @@ class SynonymDeleteTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to add the synonym.")
         self.sequence_name = "test_sequence_synonym_%s" % \
-                             str(uuid.uuid4())[1:6]
+                             str(uuid.uuid4()).replace("-", "")
         self.sequence_id = sequence_utils.create_sequences(
             self.server, self.db_name, self.schema_name, self.sequence_name)
-        self.synonym_name = "test_synonym_delete_%s" % str(uuid.uuid4())[1:6]
+        self.synonym_name = "test_synonym_delete_%s" % str(uuid.uuid4()).replace("-", "")
         synonym_utils.create_synonym(self.server,
                                      self.db_name,
                                      self.schema_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_get.py
index 4fdbd06..ca2238c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_get.py
@@ -53,10 +53,10 @@ class SynonymGetTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to add the synonym.")
         self.sequence_name = "test_sequence_synonym_%s" % \
-                             str(uuid.uuid4())[1:6]
+                             str(uuid.uuid4()).replace("-", "")
         self.sequence_id = sequence_utils.create_sequences(
             self.server, self.db_name, self.schema_name, self.sequence_name)
-        self.synonym_name = "test_synonym_get_%s" % str(uuid.uuid4())[1:6]
+        self.synonym_name = "test_synonym_get_%s" % str(uuid.uuid4()).replace("-", "")
         synonym_utils.create_synonym(self.server,
                                      self.db_name,
                                      self.schema_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_put.py
index 0391add..f57f170 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/tests/test_synonym_put.py
@@ -61,10 +61,10 @@ class SynonymPutTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to add the synonym.")
         self.sequence_name = "test_sequence_synonym_%s" % \
-                             str(uuid.uuid4())[1:6]
+                             str(uuid.uuid4()).replace("-", "")
         self.sequence_id = sequence_utils.create_sequences(
             self.server, self.db_name, self.schema_name, self.sequence_name)
-        self.synonym_name = "test_synonym_put_%s" % str(uuid.uuid4())[1:6]
+        self.synonym_name = "test_synonym_put_%s" % str(uuid.uuid4()).replace("-", "")
         synonym_utils.create_synonym(self.server,
                                      self.db_name,
                                      self.schema_name,
@@ -79,7 +79,7 @@ class SynonymPutTestCase(BaseTestGenerator):
                                                         self.synonym_name)
         if not synonym_response:
             raise Exception("No synonym node to update.")
-        func_name = "test_function_synonym_%s" % str(uuid.uuid4())[1:6]
+        func_name = "test_function_synonym_%s" % str(uuid.uuid4()).replace("-", "")
         self.table_id = functions_utils.create_trigger_function(
             self.server, self.db_name, self.schema_name, func_name,
             self.server_version)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_add.py
index 6fc8b05..e621a27 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_add.py
@@ -43,14 +43,14 @@ class ColumnAddTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_column_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
 
     def runTest(self):
         """This function will add column under table node."""
-        self.column_name = "test_column_add_%s" % (str(uuid.uuid4())[1:6])
+        self.column_name = "test_column_add_%s" % (str(uuid.uuid4()).replace("-", ""))
         data = {"name": self.column_name,
                 "cltype": "\"char\"",
                 "attacl": [],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_delete.py
index d558cee..0316296 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_delete.py
@@ -43,11 +43,11 @@ class ColumnDeleteTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_column_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.column_id = columns_utils.create_column(self.server,
                                                      self.db_name,
                                                      self.schema_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_get.py
index 4adfbef..1b628a3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_get.py
@@ -43,11 +43,11 @@ class ColumnGetTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_column_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4())[1:6])
+        self.column_name = "test_column_delete_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.column_id = columns_utils.create_column(self.server,
                                                      self.db_name,
                                                      self.schema_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_put.py
index 656cb83..b3846ea 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/column/tests/test_column_put.py
@@ -44,11 +44,11 @@ class ColumnPutTestCase(BaseTestGenerator):
                                                       self.schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a table.")
-        self.table_name = "table_column_%s" % (str(uuid.uuid4())[1:6])
+        self.table_name = "table_column_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server, self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
-        self.column_name = "test_column_put_%s" % (str(uuid.uuid4())[1:6])
+        self.column_name = "test_column_put_%s" % (str(uuid.uuid4()).replace("-", ""))
         self.column_id = columns_utils.create_column(self.server,
                                                      self.db_name,
                                                      self.schema_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_add.py
index 1e28d51..8ac1e3a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_add.py
@@ -47,7 +47,7 @@ class CheckConstraintAddTestCase(BaseTestGenerator):
             raise Exception("Could not find the schema to add a check "
                             "constraint.")
         self.table_name = "table_checkconstraint_add_%s" % \
-                          (str(uuid.uuid4())[1:6])
+                          (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server,
                                                   self.db_name,
                                                   self.schema_name,
@@ -56,7 +56,7 @@ class CheckConstraintAddTestCase(BaseTestGenerator):
     def runTest(self):
         """This function will add check constraint to table."""
         check_constraint_name = "test_checkconstraint_add_%s" % \
-                                (str(uuid.uuid4())[1:6])
+                                (str(uuid.uuid4()).replace("-", ""))
         data = {"name": check_constraint_name,
                 "consrc": " (id > 0)",
                 "convalidated": True,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_delete.py
index 0dd361d..b2555ca 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_delete.py
@@ -47,13 +47,13 @@ class CheckConstraintDeleteTestCase(BaseTestGenerator):
             raise Exception("Could not find the schema to delete a check "
                             "constraint.")
         self.table_name = "table_checkconstraint_delete_%s" % \
-                          (str(uuid.uuid4())[1:6])
+                          (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server,
                                                   self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
         self.check_constraint_name = "test_checkconstraint_delete_%s" % \
-                                     (str(uuid.uuid4())[1:6])
+                                     (str(uuid.uuid4()).replace("-", ""))
         self.check_constraint_id = \
             chk_constraint_utils.create_check_constraint(
                 self.server, self.db_name, self.schema_name, self.table_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_get.py
index ee94bbc..2b1e7c0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_get.py
@@ -47,13 +47,13 @@ class CheckConstraintGetTestCase(BaseTestGenerator):
             raise Exception("Could not find the schema to fetch a check "
                             "constraint.")
         self.table_name = "table_checkconstraint_get_%s" % \
-                          (str(uuid.uuid4())[1:6])
+                          (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server,
                                                   self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
         self.check_constraint_name = "test_checkconstraint_get_%s" % \
-                                     (str(uuid.uuid4())[1:6])
+                                     (str(uuid.uuid4()).replace("-", ""))
         self.check_constraint_id = \
             chk_constraint_utils.create_check_constraint(
                 self.server, self.db_name, self.schema_name, self.table_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_put.py
index 6192ae5..226bd36 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/check_constraint/tests/test_check_constraint_put.py
@@ -48,13 +48,13 @@ class CheckConstraintPutTestCase(BaseTestGenerator):
             raise Exception("Could not find the schema to update a check "
                             "constraint.")
         self.table_name = "table_checkconstraint_put_%s" % \
-                          (str(uuid.uuid4())[1:6])
+                          (str(uuid.uuid4()).replace("-", ""))
         self.table_id = tables_utils.create_table(self.server,
                                                   self.db_name,
                                                   self.schema_name,
                                                   self.table_name)
         self.check_constraint_name = "test_checkconstraint_put_%s" % \
-                                     (str(uuid.uuid4())[1:6])
+                                     (str(uuid.uuid4()).replace("-", ""))
         self.check_constraint_id = \
             chk_constraint_utils.create_check_constraint(
                 self.server, self.db_name, self.schema_name, self.table_name,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_add.py
index dfd4e63..daa374c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_add.py
@@ -21,7 +21,7 @@ from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class ForeignKeyAddTestCase(BaseTestGenerator):
+class fkAddTestCase(BaseTestGenerator):
     """This class will add foreign key to existing table"""
     scenarios = [
         ('Add foreign Key constraint to table',
@@ -46,23 +46,23 @@ class ForeignKeyAddTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to add a foreign "
                             "key constraint.")
-        self.local_table_name = "table_foreignkey_%s" % \
-                                (str(uuid.uuid4())[1:6])
+        self.local_table_name = "table_fk_%s" % \
+                                (str(uuid.uuid4()).replace("-", ""))
         self.local_table_id = tables_utils.create_table(self.server,
                                                         self.db_name,
                                                         self.schema_name,
                                                         self.local_table_name)
-        self.foreign_table_name = "table_foreignkey_%s" % \
-                                  (str(uuid.uuid4())[1:6])
+        self.foreign_table_name = "table_fk_%s" % \
+                                  (str(uuid.uuid4()).replace("-", ""))
         self.foreign_table_id = tables_utils.create_table(
             self.server, self.db_name, self.schema_name,
             self.foreign_table_name)
 
     def runTest(self):
         """This function will add foreign key table column."""
-        foreignkey_name = "test_foreignkey_add_%s" % \
-                          (str(uuid.uuid4())[1:6])
-        data = {"name": foreignkey_name,
+        fk_name = "test_fk_add_%s" % \
+                          (str(uuid.uuid4()).replace("-", ""))
+        data = {"name": fk_name,
                 "columns": [{"local_column": "id",
                              "references": self.foreign_table_id,
                              "referenced": "id"}],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_delete.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_delete.py
index 166d6b1..59f4b11 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_delete.py
@@ -47,17 +47,17 @@ class ForeignKeyDeleteTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to delete a foreign "
                             "key constraint.")
-        self.local_table_name = "local_table_foreignkey_delete_%s" % \
-                                (str(uuid.uuid4())[1:6])
+        self.local_table_name = "local_table_fk_delete_%s" % \
+                                (str(uuid.uuid4()).replace("-", ""))
         self.local_table_id = tables_utils.create_table(
             self.server, self.db_name, self.schema_name, self.local_table_name)
-        self.foreign_table_name = "foreign_table_foreignkey_delete_%s" % \
-                                  (str(uuid.uuid4())[1:6])
+        self.foreign_table_name = "foreign_table_fk_delete_%s" % \
+                                  (str(uuid.uuid4()).replace("-", ""))
         self.foreign_table_id = tables_utils.create_table(
             self.server, self.db_name, self.schema_name,
             self.foreign_table_name)
-        self.foreign_key_name = "test_foreignkey_delete_%s" % \
-                                (str(uuid.uuid4())[1:6])
+        self.foreign_key_name = "test_fk_delete_%s" % \
+                                (str(uuid.uuid4()).replace("-", ""))
         self.foreign_key_id = fk_utils.create_foreignkey(
             self.server, self.db_name, self.schema_name, self.local_table_name,
             self.foreign_table_name)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_get.py
index 55b4929..4d7fa13 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_get.py
@@ -21,7 +21,7 @@ from regression.python_test_utils import test_utils as utils
 from . import utils as fk_utils
 
 
-class ForeignGetDeleteTestCase(BaseTestGenerator):
+class ForeignKeyGetTestCase(BaseTestGenerator):
     """This class will fetch foreign key from existing table"""
     scenarios = [
         ('Fetch foreign Key constraint.',
@@ -47,17 +47,17 @@ class ForeignGetDeleteTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to fetch a foreign "
                             "key constraint.")
-        self.local_table_name = "local_table_foreignkey_get_%s" % \
-                                (str(uuid.uuid4())[1:6])
+        self.local_table_name = "local_table_fk_get_%s" % \
+                                (str(uuid.uuid4()).replace("-", ""))
         self.local_table_id = tables_utils.create_table(
             self.server, self.db_name, self.schema_name, self.local_table_name)
-        self.foreign_table_name = "foreign_table_foreignkey_get_%s" % \
-                                  (str(uuid.uuid4())[1:6])
+        self.foreign_table_name = "foreign_table_fk_get_%s" % \
+                                  (str(uuid.uuid4()).replace("-", ""))
         self.foreign_table_id = tables_utils.create_table(
             self.server, self.db_name, self.schema_name,
             self.foreign_table_name)
-        self.foreign_key_name = "test_foreignkey_get_%s" % \
-                                (str(uuid.uuid4())[1:6])
+        self.foreign_key_name = "test_fk_get_%s" % \
+                                (str(uuid.uuid4()).replace("-", ""))
         self.foreign_key_id = fk_utils.create_foreignkey(
             self.server, self.db_name, self.schema_name, self.local_table_name,
             self.foreign_table_name)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_put.py
index 1668fdb..077985e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/tests/test_foreign_key_put.py
@@ -22,7 +22,7 @@ from regression.python_test_utils import test_utils as utils
 from . import utils as fk_utils
 
 
-class ForeignPutDeleteTestCase(BaseTestGenerator):
+class ForeignKeyPutTestCase(BaseTestGenerator):
     """This class will update foreign key from existing table"""
     scenarios = [
         ('Fetch foreign Key constraint.',
@@ -48,17 +48,17 @@ class ForeignPutDeleteTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to fetch a foreign "
                             "key constraint.")
-        self.local_table_name = "local_table_foreignkey_get_%s" % \
-                                (str(uuid.uuid4())[1:6])
+        self.local_table_name = "local_table_fk_get_%s" % \
+                                (str(uuid.uuid4()).replace("-", ""))
         self.local_table_id = tables_utils.create_table(
             self.server, self.db_name, self.schema_name, self.local_table_name)
-        self.foreign_table_name = "foreign_table_foreignkey_get_%s" % \
-                                  (str(uuid.uuid4())[1:6])
+        self.foreign_table_name = "foreign_table_fk_get_%s" % \
+                                  (str(uuid.uuid4()).replace("-", ""))
         self.foreign_table_id = tables_utils.create_table(
             self.server, self.db_name, self.schema_name,
             self.foreign_table_name)
-        self.foreign_key_name = "test_foreignkey_get_%s" % \
-                                (str(uuid.uuid4())[1:6])
+        self.foreign_key_name = "test_fk_get_%s" % \
+                                (str(uuid.uuid4()).replace("-", ""))
         self.foreign_key_id = fk_utils.create_foreignkey(
             self.server, self.db_name, self.schema_name, self.local_table_name,
             self.foreign_table_name)
